Bug 608250 - [abrt] crash in firefox-3.5.10-1.fc12: Process /usr/lib/firefox-3.5/firefox was killed by signal 11 (SIGSEGV)
[abrt] crash in firefox-3.5.10-1.fc12: Process /usr/lib/firefox-3.5/firefox w...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
abrt_hash:c81a99d3728b0cb6050230f8707...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-26 08:16 EDT by colin
Modified: 2010-12-03 08:41 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 08:41:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (91.25 KB, text/plain)
2010-06-26 08:16 EDT, colin
no flags Details

  None (edit)
Description colin 2010-06-26 08:16:31 EDT
abrt 1.0.9 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/lib/firefox-3.5/firefox
comment: java-1.6.0-openjdk 39.b18.fc12 is no improvement.
component: firefox
crash_function: nsProfileLock::FatalSignalHandler
executable: /usr/lib/firefox-3.5/firefox
global_uuid: c81a99d3728b0cb6050230f87076557ff411b590
kernel: 2.6.32.14-127.fc12.i686.PAE
package: firefox-3.5.10-1.fc12
rating: 4
reason: Process /usr/lib/firefox-3.5/firefox was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)

How to reproduce
-----
1.As before
2.Firefox and NoScript 
3.Browse to a pge with a java applet
Comment 1 colin 2010-06-26 08:16:34 EDT
Created attachment 427062 [details]
File: backtrace
Comment 2 colin 2010-06-28 04:40:55 EDT
Package: firefox-3.5.10-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.browse to a page with a java applet
2.allow NoScript to run applet.
3.
Comment 3 Penelope Fudd 2010-07-04 15:19:51 EDT
Package: firefox-3.5.10-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Visit a webpage with a java applet and noscript
2. Click on the applet to run it
3. Crash


Comment
-----
The applet webpage in question:
http://www.arachnoid.com/FFTExplorer/index.html
Comment 4 d. johnson 2010-09-17 14:27:26 EDT
Thank you for taking the time to report this bug. Updates to this package have been released since it was first reported. If you have time to update the package and re-test, please do so and report the results here. You can obtain the updated package by typing 'yum update' or using the graphical updater, Software Update.


Disable extensions, plugins and non-default themes. Clear cookies and cache. Exit the browser completely.  Then restart the browser and attempt to replicate the crash.


#3  <signal handler called>
No symbol table info available.
#4  0x0417aadb in plugin_get_documentbase (instance=0x0)
    at /usr/src/debug/icedtea6-1.8/plugin/icedteanp/IcedTeaNPPlugin.cc:1050
        i = <value optimized out>
        documentbase = 0x0
        window = 0x93a0f740
        parts_sz = 0
        documentbase_copy = 0x0
        script = {utf8characters = 0x92cb0a0c "window.location.href", 
          utf8length = 20}
        script_str = "window.location.href"
        location_str = ""
        parts = 0x0
#5  0x0417ae6f in ITNP_New (pluginType=0x929c55e0 "application/x-java-vm", 
    instance=0x93312198, mode=1, argc=6, argn=0x929c5620, argv=0x929c5640, 
    saved=0x0)
    at /usr/src/debug/icedtea6-1.8/plugin/icedteanp/IcedTeaNPPlugin.cc:332
        read_message = <value optimized out>
        applet_tag = <value optimized out>
        tag_message = <value optimized out>
        npPluginObj = <value optimized out>
        window_ptr = 0x93a0f740
        np_error = <value optimized out>
        data = 0x929c56a0
        identifier = <value optimized out>
        member_ptr = {type = NPVariantType_Object, value = {boolValue = 80, 
            intValue = -1818167472, doubleValue = 1.4413453335537827e-270, 
            stringValue = {utf8characters = 0x93a0f750 "\340fA\003\001", 
              utf8length = 132668886}, objectValue = 0x93a0f750}}
        documentbase = <value optimized out>
        cookie_info = <value optimized out>
#6  0x02a48d12 in nsNPAPIPluginInstance::InitializePlugin (this=0x93312180, 
    peer=0x92cb09a0) at nsNPAPIPluginInstance.cpp:1030
        startTime = 1949041587
        taginfo = {<nsCOMPtr_base> = {mRawPtr = 0x92cb09a8}, <No data fields>}
        guard = {<PRCListStr> = {next = 0x34166d8, prev = 0x34166d8}, 
          mInstance = {<nsCOMPtr_base> = {mRawPtr = 
    0x93312180}, <No data fields>}, mDelayedDestroy = 0, static sListHead = {
            next = 0xbfbeac4c, prev = 0xbfbeac4c}}
        rv = <value optimized out>
        mode = <value optimized out>
        count = <value optimized out>
        names = 0x929c5620
        values = 0x929c5640
        tagtype = nsPluginTagType_Applet
        mimetype = 0x929c55e0 "application/x-java-vm"
        flashMimeType = "application/x-shockwave-flash"
        error = <value optimized out>
        blockedParam = "swliveconnect"
        oldVal = 0
#7  0x02a4ed91 in nsPluginHostImpl::TrySetUpPluginInstance (this=0xb3d69460, 
    aMimeType=0x929be688 "application/x-java-vm", aURL=0x92976d40, aOwner=
    0x923b4ba0) at nsPluginHostImpl.cpp:3881
        urlSpec = {<nsFixedCString> = {<nsCString> = {<nsACString_internal> = 
    {mData = 
    0x925c3308 "http://www.cis.upenn.edu/~matuszek/General/JavaVersionTests/Java10Test.class", mLength = 76, mFlags = 65541}, <No data fields>}, 
            mFixedCapacity = 63, mFixedBuf = 0xbfbeae4c ""}, mStorage = 
    "\000\275\277\002$\267@\003\005@\000\200x\256\276\277\315\300\277\002\b3\\\222\005\000\001\000\b\257\276\277\246\031\245\002\230\224\326\263\b3\\\222\b\257\276\277\203\032\245\002@\276S\267\230\256\276\277@m\227\222"}
        instance = {<nsCOMPtr_base> = {mRawPtr = 
    0x93312180}, <No data fields>}
        pluginTag = 0x92cb09a0
        mimetype = 0x929be688 "application/x-java-vm"
        contractID = {<nsFixedCString> = {<nsCString> = 
    {<nsACString_internal> = {mData = 
    0xbfbeada4 "@mozilla.org/inline-plugin/application/x-java-vm", mLength = 
    48, mFlags = 65553}, <No data fields>}, mFixedCapacity = 63, mFixedBuf = 
    0xbfbeada4 "@mozilla.org/inline-plugin/application/x-java-vm"}, 
          mStorage = 
    "@mozilla.org/inline-plugin/application/x-java-vm\000\267@\003\030\256\276\277\336\377\346\a\260\b\017\265"}
        peer = {mRawPtr = 0x92cb09a0}
        urlSpec2 = {<nsFixedCString> = {<nsCString> = 
    {<nsACString_internal> = {mData = 
    0x2966369 "\215e\364\211\360[^_]\303\201D$\004l\377\377\377\353\001\220U\270\003@", mLength = 3075538944, mFlags = 2450792448}, <No data fields>}, 
            mFixedCapacity = 0, mFixedBuf = 
    0x296571e "U\211\345WV1\366S\350^E\234\377\201\303\371_\252"}, mStorage = 
    "\260\315\276\002$\267@\003\000\000\000\000\016\000\347\a\000\063\\\222\005\000\000\000\303b\226\002$\267@\003\371\377\346\a$\267@\003\250\255\276\277\367\304\277\002\000\063\\\222\021\000\001\000\210S5\003\210S5\003"}
        result = 0
        plugin = {<nsCOMPtr_base> = {mRawPtr = 0xa1bd1470}, <No data fields>}
#8  0x02a4d66b in nsPluginHostImpl::SetUpPluginInstance (this=0xb3d69460, 
    aMimeType=0x929be688 "application/x-java-vm", aURL=0x92976d40, aOwner=
    0x923b4ba0) at nsPluginHostImpl.cpp:3676
        rv = 0
#9  0x02a55dab in nsPluginHostImpl::InstantiateEmbeddedPlugin (this=
    0xb3d69460, aMimeType=0x929be688 "application/x-java-vm", aURL=
    0x92976d40, aOwner=0x923b4ba0) at nsPluginHostImpl.cpp:3367
        urlSpec = {<nsFixedCString> = {<nsCString> = {<nsACString_internal> = 
    {mData = 
    0x925c3308 "http://www.cis.upenn.edu/~matuszek/General/JavaVersionTests/Java10Test.class", mLength = 76, mFlags = 65541}, <No data fields>}, 
            mFixedCapacity = 63, mFixedBuf = 0xbfbeb0ac ""}, mStorage = 
    "\000\273\272\002\070\261\276\277", '\000' <repeats 12 times>, "X\246\270\222\001\000\000\000c\315\275\002\000 \024\222p\261\276\277,\261\276\277\370\260\276\277\000\000\000\000 \222X\267\070\261\276\277\b\261\276\277"}
        rv = 0
        instance = 0x0
        pluginTag = <value optimized out>
        isJava = 1
        window = <value optimized out>
        pti2 = {<nsCOMPtr_base> = {mRawPtr = 0x923b4ba4}, <No data fields>}
        bCanHandleInternally = 1
        urlSpec2 = {<nsFixedCString> = {<nsCString> = 
    {<nsACString_internal> = {mData = 0x7e6ffde "\215d$\024[]\303\215t&", 
                mLength = 3036913932, mFlags = 54572836}, <No data fields>}, 
            mFixedCapacity = 3216945096, mFixedBuf = 
    0x2b2cc21 "\213]\374\311\303U\211\345S\350Z\320\177\377\201\303\365\352\215"}, mStorage = 
    "\311\377\346\a$\267@\003\350\257\276\277\314\313\262\002\f\241\003\265$\267@\003\000\241\003\265\034\345\322\002 \222X\267\344\333\020\267\370\257\276\277\266\313\262\002$\267@\003 \222X\267\b\260\276\277\220\302\322\002"}
        tagType = nsPluginTagType_Applet
        scheme = {<nsFixedCString> = {<nsCString> = {<nsACString_internal> = {
                mData = 0xbfbeb058 "http", mLength = 4, mFlags = 
    65553}, <No data fields>}, mFixedCapacity = 63, mFixedBuf = 
    0xbfbeb058 "http"}, mStorage = 
    "http\000\326o\002\000 \024\222\220\302\322\002|\260\276\277\030\253\071\003\334\260\276\277d\224\326\263\230\260\276\277\000\000\000\000 \222X\267\220\337\322\002\065\325o\002$\267@\003\000 \024\222d\224\326\263"}
#10 0x0253546a in nsObjectFrame::InstantiatePlugin (this=0x9ccaf708, 




-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2010-11-03 08:50:27 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-12-03 08:41:14 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.